=== debian/changelog ===
libnfo (1.0.0-3) unstable; urgency=low

  * Fix license path in Debian copyright file (Closes: #564320)
  * Update Debian packaging copyright date
  * Backport some more build system fixes from upstream trunk
  * Backport fix-memset-args-order.patch from upstream trunk

 -- Davide Cavalca <davide@geexbox.org>  Wed, 27 Jan 2010 11:53:02 +0100

libnfo (1.0.0-2) unstable; urgency=low

  * Convert to 3.0 (quilt) package format
  * Add -fPIC to CFLAGS when building the package
  * Add a manual page for libnfo-reader
  * Add symbols control file for libnfo1
  * Backport some build system fixes from upstream trunk
  * Add 'Depends: ${misc:depends}' to all binary packages
  * Omit 'Section: libs' for libnfo1 as it's inherited from the source
    package definition

 -- Davide Cavalca <davide@geexbox.org>  Wed, 09 Dec 2009 19:38:44 +0100

libnfo (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #560043)

 -- Davide Cavalca <davide@geexbox.org>  Tue, 08 Dec 2009 16:19:42 +0100
