=== debian/control ===
Source: libnfo
Priority: extra
Maintainer: Davide Cavalca <davide@geexbox.org>
Build-Depends: debhelper (>= 7.0.50), libxml2-dev, pkg-config
Build-Depends-Indep: doxygen
Standards-Version: 3.8.3
Section: libs
Homepage: http://libnfo.geexbox.org/
Vcs-Hg: http://hg.geexbox.org/libnfo
Vcs-Browser: http://hg.geexbox.org/libnfo/summary

Package: libnfo-dev
Section: libdevel
Architecture: any
Depends: libnfo1 (= ${binary:Version}), ${misc:Depends}
Description: an NFO file parser/writer library -- development files
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains headers and libraries for developing software
 that makes use of libNFO.

Package: libnfo1-bin
Section: misc
Architecture: any
Depends: libnfo1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: an utility to read NFO files which uses libnfo
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains libnfo-reader, an utility to read NFO files which
 uses libnfo.

Package: libnfo1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an NFO file parser/writer library
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 The NFO format is used, among others, by Enna and XBMC Media Center. See
 http://xbmc.org/wiki/?title=Import_-_Export_Library
 for a format definition.

Package: libnfo1-dbg
Architecture: any
Section: debug
Depends: libnfo1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libnfo1
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains the debugging symbols for libnfo1.

Package: libnfo-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libnfo-dev
Description: developer documentation for libnfo
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains developer documentation for libnfo.
