=== debian/changelog ===
libnfo (1.0.1-3) unstable; urgency=medium

  * QA upload.

  [ Baptiste Beauplat ]
  * Fix FTBFS: Install docs using dh_install files
  * Add missing /usr/share/dpkg/architecture.mk to d/rules
  * Remove .PHONY target from d/rules
  * Add Multi-Arch: foreign to libnfo-doc

  [ Mattia Rizzolo ]
  * Pass a multiarch --libdir to ./configure, making the package Multi-Arch
    compatible.
  * Add Multi-Arch:same to libnfo1 and libnfo-dev.

 -- Baptiste Beauplat <lyknode@cilg.org>  Thu, 14 Jan 2021 16:33:40 +0100

libnfo (1.0.1-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as Maintainer (See: #840040) (Closes: #979567)
  * Bump debhelper to 13:
    - Remove d/compat
    - Switch debhelper to debhelper-compat in Build-Depends
  * Move docs to main package's /usr/share/doc/:
    - Use installed docs instead of built one
    - Add a execute_after_dh_auto_install rule to move docs into a html/
      directory
    - Fix paths in doc-base control file
  * Convert copyright to DEP5
  * Update upstream metadata:
    - Move metadata to d/upstream/metadata
    - Contact and Name moved to d/copyright
    - Remove Homepage already present in d/control
    - Remove Watch already present in d/watch
    - Remove dead Donation link
    - Update Repository and Repository-Browse with github repository
    - Add Bug-Database and Bug-Submit using github repository
  * Use https for Homepage in d/control
  * Replace Priority extra by optional
  * Remove libnfo1-dbg in favor of libnfo1-dbgsym:
    - Remove entry from d/control
    - Add version information for debug package migration to dh_strip in
      d/rules
  * Bump Standard-Version to 4.5.1
  * Add Rules-Requires-Root: no
  * Remove the article from the Description
  * Install pkg-config metadata into /usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig:
    - Add a execute_after_dh_auto_install rule to move libnfo.pc
    - Update paths in d/libnfo-dev.install
  * Add Build-Depends-Package: info to libnfo1 symbols file
  * Add hardening flags to d/rules
  * Remove trailing whitespace in d/rules
  * Update watch file:
    - Switch to version 4
    - Use the github repository (previous VCS is unavailable)
  * Host packaging on Salsa:
    - Add Salsa CI pipeline
    - Use DEP14 repository layout (gbp.conf added)
    - Add Vcs-* fields
  * Remove unused d/*.dirs

 -- Baptiste Beauplat <lyknode@cilg.org>  Sun, 10 Jan 2021 17:53:23 +0100

libnfo (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add an override_auto_clean in debian/rules to fix a FTBFS caused by an
    absent file (config.mak). (Closes: #718062)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 09 Nov 2014 00:55:07 -0200

libnfo (1.0.1-1) unstable; urgency=low

  * New upstream release:
    - drop Debian package patches as they are now upstream
    - drop Debian manpage for libnfo-reader it's now upstream
  * Update Standards-Version to 3.9.1 (no changes)
  * Drop Vcs-Pkg fields from control file
  * Update upstream author copyright date
  * Add debian/upstream-metadata.yaml

 -- Davide Cavalca <davide@geexbox.org>  Sat, 02 Oct 2010 15:53:26 +0200
