=== debian/control ===
Source: libnfo
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libxml2-dev, pkg-config
Build-Depends-Indep: doxygen
Standards-Version: 4.5.1
Section: libs
Homepage: https://libnfo.geexbox.org/
Vcs-Git: https://salsa.debian.org/debian/libnfo.git
Vcs-Browser: https://salsa.debian.org/debian/libnfo
Rules-Requires-Root: no

Package: libnfo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libnfo1 (= ${binary:Version}), ${misc:Depends}
Description: NFO file parser/writer library -- development files
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains headers and libraries for developing software
 that makes use of libNFO.

Package: libnfo1-bin
Section: misc
Architecture: any
Depends: libnfo1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: utility to read NFO files which uses libnfo
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains libnfo-reader, an utility to read NFO files which
 uses libnfo.

Package: libnfo1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NFO file parser/writer library
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 The NFO format is used, among others, by Enna and XBMC Media Center. See
 http://xbmc.org/wiki/?title=Import_-_Export_Library
 for a format definition.

Package: libnfo-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: libnfo-dev
Description: developer documentation for libnfo
 libNFO is a small library to parse and write NFO files. NFO files are used
 to store metadata information on many multimedia files.
 .
 This package contains developer documentation for libnfo.
